#ifndef _URL_H
#define _URL_H

typedef struct _url {
	char *scheme;
	char *host;
	char *port;
	char *path;
} Url;

Url *urllib_init (void);
void urllib_free (Url *url);
int urllib_parse (Url *url, const char *url_string);
void urllib_tostring (Url *url, char *dest);
int urllib_join (Url *url, const char *path);

#endif
